Subject: Re: [bitcoin-dev] Taproot NACK

From: ZmnSCPxj <[email-masked]>
Date: Wed, 17 Mar 2021 09:32:18 +0000

Good morning,

> Good afternoon,
>
> That is not desirable since yourself and I cannot prove the property of the UTXO when it is further spent unless we can ourselves scrutinize it.

What property *needs* to be proven in the first place?

I suspect you are riding too much on your preferences and losing sight of the end goal I am pointing at here.
If your goal is to promote something you prefer (which you selected for other reasons) then the conclusion will be different.

I already laid out the necessary goal that I consider as necessary:

> The entire point of a public blockchain is to prevent uncontrolled forgery of the coin.

Given the above, it is not *necessary* to prove *any* property of *any* UTXO other than the property *this UTXO does not create more coins than what was designed*.
The exact value of that coin, the public key of that coin, *when* the coin was spent and for *what* purpose are not *necessary*, the only thing necessary to prove is that inputs = outputs + fee.
Indeed, the exact values of "inputs" and "outputs" and "fee" are also not needed to be verifiable, only the simple fact "input = outputs + fee" needs to be verifiable (which is why homomorphic encryptions of input, output, and fee are acceptable solutions to this goal).
It is immaterial if you or I *can* or *cannot* prove any *other* property, if the goal is only to prevent uncontrolled forgery.

If your definition of "fraud" is broader, then please lay it out explicitly.
As well, take note that as I understand it, this is largely the primary problem of cryptocurrencies that existed long before Bitcoin did; it is helpful to remember that Chaumian banks and various forms of e-cash existed before Bitcoin.

Regards,
ZmnSCPxj